Page MenuHomePhabricator

[EPIC] [Feeds] Implement Content Service endpoint for retrieving specific feed content.
Closed, ResolvedPublic

Description

The Mobile Content Service (MCS) shall implement an endpoint (or multiple endpoints) that will abstract away the logic for retrieving the following items:

  • Featured article of the day
  • Featured picture of the day
  • Trending article(s)
  • "In the news" articles
  • random

Event Timeline

Dbrant created this task.Apr 11 2016, 2:39 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 11 2016, 2:39 PM
MBinder_WMF moved this task from Medium to Backlog on the Android-app-feature-Feeds board.
MBinder_WMF renamed this task from [Feeds] Implement Content Service endpoint for retrieving specific feed content. to [EPIC] [Feeds] Implement Content Service endpoint for retrieving specific feed content..
MZMcBride updated the task description. (Show Details)May 14 2016, 2:23 AM

This task is vaguely interesting.

Fun fact: Wikimedia has a daily-article mailing list. I'm told it has several thousand subscribers. Here's the most recent post: https://lists.wikimedia.org/pipermail/daily-article-l/2016-May/003551.html.

These e-mails are powered by https://github.com/mzmcbride/daily-article/blob/a4cfe59b1e9d2806a946c8f9e13a9ba9df02da65/dal.py.

It sounds like the make_featured_article_section function could be upgraded to one of these new end-points.

The other end-points needed would then be:

  • Today's selected anniversaries
  • Wiktionary's word of the day
  • Wikiquote's quote of the day
bearND moved this task from Doing to Backlog on the Mobile-Content-Service board.May 20 2016, 8:29 PM
bearND closed this task as Resolved.
bearND claimed this task.